module Spree
  module Admin
    class PagesController < ResourceController
      custom_callback(:create).before(:build_image)
      custom_callback(:update).before(:build_image)

      private

      def build_image
        return if permitted_meta_image_params[:meta_image].blank?
        @object.build_meta_image(attachment: permitted_meta_image_params[:meta_image])
      end

      def permitted_resource_params
        params.require(:page).permit(:title, :content, :slug, :meta_title, :meta_description, :live)
      end

      def permitted_meta_image_params
        params.require(:page).permit(:meta_image)
      end
    end
  end
end
