module Spree
  class Page < ApplicationRecord
    has_one :meta_image, as: :viewable, dependent: :destroy, class_name: 'Spree::PageMetaImage'

    validates :title, :slug, :content, presence: true
    validates :slug, uniqueness: true

    scope :live, -> { where(live: true) }

    before_save :remove_leading_slash_from_slug

    def remove_leading_slash_from_slug
      self.slug = slug[1..-1] if slug.start_with?('/') # ensure that slugs don't start with a slash
    end
  end
end
