module Spree
  class PageMetaImage < Asset
    module Configuration
      module Paperclip
        extend ActiveSupport::Concern

        included do
          has_attached_file :attachment,
                            styles: {
                              large: '1200x630>',
                              medium: '600x315>',
                              small: '200x200>'
                            },
                            default_style: :large

          validates_attachment_content_type :attachment, content_type: %r{\Aimage\/.*\z}

          delegate :url, to: :attachment
        end
      end
    end
  end
end
